Bug 471871 - dlm: fix up memory allocation flags
dlm: fix up memory allocation flags
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Teigland
Martin Jenner
:
Depends On: 460218
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 06:35 EST by Steve Whitehouse
Modified: 2009-01-20 15:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:19:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dlm kernel patch (2.40 KB, text/plain)
2008-11-18 12:17 EST, David Teigland
no flags Details

  None (edit)
Comment 2 David Teigland 2008-11-18 12:17:07 EST
Created attachment 323931 [details]
dlm kernel patch

Memory allocations in the dlm should use GFP_NOFS to avoid looping back
into gfs to free memory, which may require dlm operations, causing deadlock.
Most dlm allocations already use GFP_NOFS (usually via ls_allocation), but
this patch fixes up some that have been missed.

AFAIK, no one has actually observed deadlock between dlm and gfs due to
any of the allocations changed by this patch.  But apparently the patch
still has an effect somehow, in delaying the onset of gfs2 bug 460218.
Comment 3 David Teigland 2008-11-18 13:59:38 EST
posted to rhkernel-list
http://post-office.corp.redhat.com/archives/rhkernel-list/2008-November/msg00524.html
Comment 5 Don Zickus 2008-12-02 17:20:12 EST
in kernel-2.6.18-125.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2009-01-20 15:19:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.